/*
 * File:           D:\MyProjects\SigmaStudio\new_PRJ\test1467_IC_1_PARAM.h
 *
 * Created:        Friday, April 28, 2023 9:13:20 AM
 * Description:    test1467:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2023 Analog Devices, Inc. All rights reserved.
 */
#ifndef __TEST1467_IC_1_PARAM_H__
#define __TEST1467_IC_1_PARAM_H__


/* Module SafeLoadModule - SafeLoadModule*/
#define MOD_SAFELOADMODULE_COUNT                       11
#define MOD_SAFELOADMODULE_DEVICE                      "IC1"
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_ADDR         24576
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_ADDR         24577
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_ADDR         24578
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_ADDR         24579
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_ADDR         24580
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_ADDR       24581
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_ADDR     24582
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_ADDR     24583
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_MEMORYPAGE 0

/* Module Tone1 - Sine Tone with Phase and Gain*/
#define MOD_TONE1_COUNT                                4
#define MOD_TONE1_DEVICE                               "IC1"
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001GAIN00_ADDR 20
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001GAIN00_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001GAIN00_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001GAIN00_MEMORYPAGE 0
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI00_ADDR 21
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI00_FIXPT 0x00000000
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI00_VALUE SIGMASTUDIOTYPE_INTEGER_CONVERT(0)
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI00_TYPE SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI00_MEMORYPAGE 0
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI01_ADDR 22
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI01_FIXPT 0x00000000
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI01_VALUE SIGMASTUDIOTYPE_INTEGER_CONVERT(0)
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI01_TYPE SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE1_ALG0_SINEPHASEGAINALGS3001INDEXFPHI01_MEMORYPAGE 0
#define MOD_TONE1_ALG0_INCREMENT_ADDR                  25
#define MOD_TONE1_ALG0_INCREMENT_VALUE                 SIGMASTUDIOTYPE_8_24_CONVERT(0.0416666666666667)
#define MOD_TONE1_ALG0_INCREMENT_TYPE                  SIGMASTUDIOTYPE_8_24
#define MOD_TONE1_ALG0_INCREMENT_MEMORYPAGE            0

#endif
